Skip to main content
GET
/
partner
/
orders
List orders for the authenticated client
curl --request GET \
  --url https://api.example.com/api/v1/partner/orders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 1001,
      "hashedId": "a3f7b2c1d4e5",
      "status": "CLIENTPAYMENTWAIT",
      "clientAmount": 1000,
      "exchangeAmount": 41500,
      "currency1": {
        "id": 123,
        "code": "USD"
      },
      "currency2": {
        "id": 123,
        "code": "UAH"
      },
      "cashbox": {
        "id": 1
      },
      "user": {
        "id": 1
      },
      "comment": "<string>",
      "clientComment": "<string>",
      "operationType": "offer",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "total": 120,
    "skip": 0,
    "limit": 25
  }
}

Authorizations

Authorization
string
header
required

Partner API key. Format: sk_branch_<32chars>, sk_personal_<32chars>, or pk_<32chars> (public, read-only)

Query Parameters

skip
integer
default:0

Number of records to skip

limit
integer
default:25

Maximum number of records to return (capped at 100)

Required range: x <= 100

Response

Paginated list of orders

data
object[]
meta
object